> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry an Outbound Webhook

> Re-arm a FAILED outbound webhook. A webhook that has already moved to the dead-letter queue is restored (preserving its original id) and removed from the dead-letter queue atomically. Returns 202 Accepted.



## OpenAPI

````yaml en/openapi/v3-current/indirect-pix.yaml POST /v1/webhooks/outbound/{id}/retry
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.7.6
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/webhooks/outbound/{id}/retry:
    post:
      tags:
        - Webhooks API
      summary: Retry an Outbound Webhook
      description: >-
        Re-arm a FAILED outbound webhook. A webhook that has already moved to
        the dead-letter queue is restored (preserving its original id) and
        removed from the dead-letter queue atomically. Returns 202 Accepted.
      parameters:
        - name: id
          in: path
          description: Outbound webhook id (UUID)
          required: true
          schema:
            type: string
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetryWebhookOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
      security:
        - bearerAuth: []
components:
  schemas:
    RetryWebhookOutput:
      properties:
        id:
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
          type: string
        status:
          enum:
            - RECEIVED
            - PENDING
          type: string
      type: object
    ErrorFormat:
      type: object
      description: The response message error.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````